Commit 662ca598 authored by bret curtis's avatar bret curtis

use either cmake >= 3 or cmake3, force build against Qt5

parent 3db9ba8f
......@@ -2,7 +2,7 @@ Source: openmw
Section: contrib/games
Priority: optional
Maintainer: Bret Curtis <psi29a@gmail.com>
Build-Depends: debhelper (>= 9~), cmake (>= 3), libbullet-dev,
Build-Depends: debhelper (>= 9~), cmake (>= 3) | cmake3, libbullet-dev,
libboost-filesystem-dev, libboost-program-options-dev, libboost-thread-dev,
libopenal-dev, libtinyxml-dev, libavcodec-dev, libavformat-dev,
libavutil-dev, libswscale-dev, libswresample-dev, libsdl2-dev,
......
......@@ -28,7 +28,7 @@ ARMHF_DEFINES=-DBUILD_OPENCS="FALSE"
endif
override_dh_auto_configure:
dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DBINDIR=/usr/games -DCMAKE_BUILD_TYPE="RelWithDebInfo" -DUSE_SYSTEM_TINYXML="TRUE" -DCMAKE_VERBOSE_MAKEFILE="FALSE" -DBUILD_ESMTOOL="FALSE" -DBUILD_ESSIMPORTER="TRUE" -DBUILD_BSATOOL="FALSE" -DBUILD_NIFTEST="FALSE" -DBUILD_MYGUI_PLUGIN="FALSE" ${ARMHF_DEFINES}
dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DBINDIR=/usr/games -DCMAKE_BUILD_TYPE="RelWithDebInfo" -DUSE_SYSTEM_TINYXML="TRUE" -DCMAKE_VERBOSE_MAKEFILE="FALSE" -DBUILD_ESMTOOL="FALSE" -DBUILD_ESSIMPORTER="TRUE" -DBUILD_BSATOOL="FALSE" -DBUILD_NIFTEST="FALSE" -DBUILD_MYGUI_PLUGIN="FALSE" -DDESIRED_QT_VERSION=5 ${ARMHF_DEFINES}
override_dh_installchangelogs:
dh_installchangelogs CHANGELOG.md
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment